Bug 91097 - Tmpwatch cannot handle multiple directories on command line
Summary: Tmpwatch cannot handle multiple directories on command line
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-17 22:22 UTC by Craig Lawson
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-14 21:13:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Craig Lawson 2003-05-17 22:22:48 UTC
Description of problem:
The tmpwatch documentation claims it can handle multiple directories on the
command line. It can't.

Version-Release number of selected component (if applicable):
tmpwatch-2.8.4-5

How reproducible:
100%

Steps to Reproduce:
1. cd /tmp
2. mkdir d1 d2
3. tmpwatch 240 d1 d2

    
Actual results:
error: lstat() of directory d2 failed: No such file or directory

Expected results:
I expected no complaints.

Comment 1 C. Ray Ng 2004-04-01 18:39:32 UTC
I do want to clean up multiple directories in /tmp/orbit-*,
and that seems to work as long as they aren't the relative path.

i.e. as in your example, this should be fine: 
tmpwatch 240 /tmp/d1 /tmp/d2 

Comment 2 Miloslav Trmač 2004-08-14 21:13:07 UTC
This should be fixed in tmpwatch-2.9.1-1, to show up in rawhide shortly.



Note You need to log in before you can comment on or make changes to this bug.